
Katello - Support #5179

Get a baseline for content view performance

04/14/2014 02:03 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category:    

Target version: Katello 2.0   

Triaged: Yes Found in Releases:  

Fixed in Releases:    

Description

1) Time to sync RHEL 6Server and 6Server Kickstart from a local mirror (take network out of the timings)

2) Time to publish a single CV with RHEL 6Server with filters

3) Time to promote RHEL 6Server to next-env beyond Library

4) Time to publish 2nd version of RHEL 6Server

5) Time to re-promote RHEL 6Server to next-env beyond Library

6) Time to publish single CV with 6Server+6Server Kickstart

7) same as above with the promote

8) Same as above, publish and promote timings for a composite view with

large base repo (RHEL6 Server) and several (perhaps 5) custom repos of

~500 packages each

9) Time to delete a content view version, environment, and view

Related issues:

Blocked by Katello - Bug #5255: Calling version destroy takes 20+ minutes Closed 04/21/2014

Blocked by Katello - Bug #5236: Publishing RHEL content view takes 30+ minute... Closed 04/17/2014

Blocks Katello - Feature #5377: [20] Upgrade to Pulp 2.4 Closed 04/22/2014

History

#1 - 04/16/2014 02:33 PM - David Davis

- Status changed from New to Assigned

#2 - 04/22/2014 01:29 PM - David Davis

- Blocked by Bug #5255: Calling version destroy takes 20+ minutes added

#3 - 04/22/2014 01:30 PM - David Davis

- Blocked by Bug #5236: Publishing RHEL content view takes 30+ minutes on some boxes added

#4 - 04/22/2014 01:30 PM - David Davis

- Blocks Feature #5377: [20] Upgrade to Pulp 2.4 added

#5 - 05/20/2014 01:04 PM - David Davis

- Status changed from Assigned to Closed

#6 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
